## rust-bat 0.23.0

=== debian/changelog ===
rust-bat (0.23.0-4) unstable; urgency=medium

  * Team upload.
  * Package bat 0.23.0 from crates.io using debcargo 2.6.0
  * Add patch for serde-yaml 0.9, retaining compatibility with serde-yaml 0.8.
  * Adjust dependency on serde-yaml to allow any 0.x version greater than 0.8,
    this does carry some risk, but I think it's better than the alternatives.
  * Adjust dependency on dirs to allow 4.x and 5.x.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 26 Jul 2023 02:30:51 +0000

rust-bat (0.23.0-3) unstable; urgency=medium

  * Package bat 0.23.0 from crates.io using debcargo 2.6.0
  * Bring back the manpage (Closes: #1036752)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 13:01:10 +0200

rust-bat (0.23.0-2) unstable; urgency=medium

  * Team upload.
  * Package bat 0.23.0 from crates.io using debcargo 2.6.0
  * Bump nu-ansi-term dependency to 0.48 and fix code to build with it.
  * Remove dev-depends on expect-test, it's not in Debian and none of
    the tests included in the crates.io release seem to use it.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 03 Jul 2023 23:25:17 +0000

rust-bat (0.23.0-1) unstable; urgency=medium

  * Package bat 0.23.0 from crates.io using debcargo 2.6.0

  [ Peter Michael Green ]
  * Team upload.
  * Package bat 0.22.1 from crates.io using debcargo 2.6.0
  * Relax dev-dependency on nix.
  * Disable integration tests, they depend on files not in the
    crates.io release.
  * Establish baseline for tests.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Jun 2023 00:20:25 +0200

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clircle-0.3+default-dev,
 librust-console-0.15+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-5+default-dev | librust-dirs-4+default-dev,
 librust-encoding-0.2+default-dev (>= 0.2.33-~~),
 librust-flate2-1+default-dev (>= 1.0.22-~~),
 librust-git2-0.16-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.7-~~),
 librust-nu-ansi-term-0.48+default-dev,
 librust-once-cell-1+default-dev (>= 1.17-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.7.0-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0+default-dev (>= 0.8-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.10-~~),
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev (>= 2.1-~~),
 dh-exec,
 librust-term-size-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat
X-Cargo-Crate: bat
Rules-Requires-Root: no

Package: librust-bat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-colours-1+default-dev,
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clircle-0.3+default-dev,
 librust-console-0.15+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-5+default-dev | librust-dirs-4+default-dev,
 librust-encoding-0.2+default-dev (>= 0.2.33-~~),
 librust-flate2-1+default-dev (>= 1.0.22-~~),
 librust-git2-0.16-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.7-~~),
 librust-nu-ansi-term-0.48+default-dev,
 librust-once-cell-1+default-dev (>= 1.17-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.7.0-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0+default-dev (>= 0.8-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-fancy-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.10-~~),
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev (>= 2.1-~~)
Provides:
 librust-bat+application-dev (= ${binary:Version}),
 librust-bat+atty-dev (= ${binary:Version}),
 librust-bat+build-assets-dev (= ${binary:Version}),
 librust-bat+clap-dev (= ${binary:Version}),
 librust-bat+default-dev (= ${binary:Version}),
 librust-bat+dirs-dev (= ${binary:Version}),
 librust-bat+git-dev (= ${binary:Version}),
 librust-bat+git2-dev (= ${binary:Version}),
 librust-bat+grep-cli-dev (= ${binary:Version}),
 librust-bat+minimal-application-dev (= ${binary:Version}),
 librust-bat+paging-dev (= ${binary:Version}),
 librust-bat+regex-dev (= ${binary:Version}),
 librust-bat+regex-fancy-dev (= ${binary:Version}),
 librust-bat+regex-onig-dev (= ${binary:Version}),
 librust-bat+shell-words-dev (= ${binary:Version}),
 librust-bat+walkdir-dev (= ${binary:Version}),
 librust-bat+wild-dev (= ${binary:Version}),
 librust-bat-0-dev (= ${binary:Version}),
 librust-bat-0+application-dev (= ${binary:Version}),
 librust-bat-0+atty-dev (= ${binary:Version}),
 librust-bat-0+build-assets-dev (= ${binary:Version}),
 librust-bat-0+clap-dev (= ${binary:Version}),
 librust-bat-0+default-dev (= ${binary:Version}),
 librust-bat-0+dirs-dev (= ${binary:Version}),
 librust-bat-0+git-dev (= ${binary:Version}),
 librust-bat-0+git2-dev (= ${binary:Version}),
 librust-bat-0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0+paging-dev (= ${binary:Version}),
 librust-bat-0+regex-dev (= ${binary:Version}),
 librust-bat-0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0+shell-words-dev (= ${binary:Version}),
 librust-bat-0+walkdir-dev (= ${binary:Version}),
 librust-bat-0+wild-dev (= ${binary:Version}),
 librust-bat-0.23-dev (= ${binary:Version}),
 librust-bat-0.23+application-dev (= ${binary:Version}),
 librust-bat-0.23+atty-dev (= ${binary:Version}),
 librust-bat-0.23+build-assets-dev (= ${binary:Version}),
 librust-bat-0.23+clap-dev (= ${binary:Version}),
 librust-bat-0.23+default-dev (= ${binary:Version}),
 librust-bat-0.23+dirs-dev (= ${binary:Version}),
 librust-bat-0.23+git-dev (= ${binary:Version}),
 librust-bat-0.23+git2-dev (= ${binary:Version}),
 librust-bat-0.23+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.23+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.23+paging-dev (= ${binary:Version}),
 librust-bat-0.23+regex-dev (= ${binary:Version}),
 librust-bat-0.23+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.23+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.23+shell-words-dev (= ${binary:Version}),
 librust-bat-0.23+walkdir-dev (= ${binary:Version}),
 librust-bat-0.23+wild-dev (= ${binary:Version}),
 librust-bat-0.23.0-dev (= ${binary:Version}),
 librust-bat-0.23.0+application-dev (= ${binary:Version}),
 librust-bat-0.23.0+atty-dev (= ${binary:Version}),
 librust-bat-0.23.0+build-assets-dev (= ${binary:Version}),
 librust-bat-0.23.0+clap-dev (= ${binary:Version}),
 librust-bat-0.23.0+default-dev (= ${binary:Version}),
 librust-bat-0.23.0+dirs-dev (= ${binary:Version}),
 librust-bat-0.23.0+git-dev (= ${binary:Version}),
 librust-bat-0.23.0+git2-dev (= ${binary:Version}),
 librust-bat-0.23.0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.23.0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.23.0+paging-dev (= ${binary:Version}),
 librust-bat-0.23.0+regex-dev (= ${binary:Version}),
 librust-bat-0.23.0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.23.0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.23.0+shell-words-dev (= ${binary:Version}),
 librust-bat-0.23.0+walkdir-dev (= ${binary:Version}),
 librust-bat-0.23.0+wild-dev (= ${binary:Version})
Description: Cat(1) clone with wings - Rust source code
 This package contains the source for the Rust bat crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: bat
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

override_dh_auto_install:
	# Once #946616 is fixed run `dh_auto_install --destdir=debian/tmp/`
	# and use d/bat.install with dh-exec to install the renamed binary.
	dh_auto_install
	mv debian/bat/usr/bin/bat debian/bat/usr/bin/batcat

override_dh_installman:
	cp target/*/release/build/bat-*/out/assets/manual/bat.1 doc/
	dh_installman

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.23.0 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.8-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.5-~~), librust-serial-test-0.9+default-dev | librust-serial-test-0.8+default-dev | librust-serial-test-0.7+default-dev | librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.23.0 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.8-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.5-~~), librust-serial-test-0.9+default-dev | librust-serial-test-0.8+default-dev | librust-serial-test-0.7+default-dev | librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.23.0 --all-targets --no-default-features --features atty
Features: test-name=librust-bat-dev:atty
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.8-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.5-~~), librust-serial-test-0.9+default-dev | librust-serial-test-0.8+default-dev | librust-serial-test-0.7+default-dev | librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.23.0 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.8-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.5-~~), librust-serial-test-0.9+default-dev | librust-serial-test-0.8+default-dev | librust-serial-test-0.7+default-dev | librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.23.0 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.8-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.5-~~), librust-serial-test-0.9+default-dev | librust-serial-test-0.8+default-dev | librust-serial-test-0.7+default-dev | librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @

## rust-bat 0.24.0

=== tests/syntax-tests/source/Requirements.txt/requirements.txt ===
# Options
--allow-external
--allow-unverified

# Freeze packages
alabaster==0.7.6
Babel>=2.9.1
docutils==0.12
gevent_subprocess==0.1.2
gitpython==3.0.7
hg-diff==1.2.4
Jinja2>=2.8.1
MarkupSafe==0.23
Pygments==2.7.4
pytz==2015.7
six==1.10.0
snowballstemmer==1.2.0
Sphinx==1.3.3
sphinx-rtd-theme==0.1.9
svn==1.0.1
zope.interface==4.2.0

# Examples from PEP508
# c.f. https://www.python.org/dev/peps/pep-0508/
requests [security,tests] >= 2.8.1, == 2.8.* ; python_version < "2.7" # Comment
pip @ https://github.com/pypa/pip/archive/1.3.1.zip#sha1=da9234ee9982d4bbb3c72346a6de940a148ea686
name @ gopher:/foo/com"
foobar[quux]<2,>=3; os_name=='a'

# VCS repositories
-e git+git://git.myproject.org/MyProject#egg=MyProject # Git
-e git://git.myproject.org/MyProject.git@v1.0#egg=MyProject
-e hg+https://hg.myproject.org/MyProject#egg=MyProject # Mercurial
-e hg+http://hg.myproject.org/MyProject@da39a3ee5e6b#egg=MyProject
-e svn+http://svn.myproject.org/svn/MyProject/trunk@2019#egg=MyProject # Subversion
-e bzr+ssh://user@myproject.org/MyProject/trunk#egg=MyProject # Bazaar
-e bzr+https://bzr.myproject.org/MyProject/trunk@2019#egg=MyProject

# Project or archive URL
https://github.com/pallets/click/archive/7.0.zip#egg=click

=== debian/changelog ===
rust-bat (0.24.0-1build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:41:05 +0100

rust-bat (0.24.0-1) unstable; urgency=medium

  * Package bat 0.24.0 from crates.io using debcargo 2.6.1
  * Relax dependency on serde-yaml crate.
  * Relax dependency on os-str-bytes crate.
  * Remove dependency on run-script crate which is not in Debian and
    disable the feature that depends on it.

  [ Sylvestre Ledru ]
  * Team upload.
  * Package bat 0.24.0 from crates.io using debcargo 2.6.0

  [ James McCoy ]
  * Remove generated man page during clean (Closes: #1048211)
  * Set PROJECT_EXECUTABLE=batcat so man page and shell completions use the
    correct binary name.
  * Install completion files for bash, fish, and zsh

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Dec 2023 15:37:02 +0000

rust-bat (0.23.0-5) unstable; urgency=medium

  * Package bat 0.23.0 from crates.io using debcargo 2.6.0
  * Also install the notice file (#Closes: 1053170)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Oct 2023 08:59:59 +0100

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clircle-0.4+default-dev,
 librust-console-0.15+default-dev (>= 0.15.5-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-encoding-rs-0.8+default-dev,
 librust-etcetera-0.8+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-0.18-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.9-~~),
 librust-nu-ansi-term-0+default-dev,
 librust-once-cell-1+default-dev (>= 1.18-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.8.3-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0+default-dev (>= 0.8.26-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.10-~~),
 librust-walkdir-2+default-dev (>= 2.3-~~),
 librust-wild-2+default-dev (>= 2.1-~~),
 dh-sequence-bash-completion,
 dh-exec,
 librust-term-size-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat
X-Cargo-Crate: bat
Rules-Requires-Root: no

Package: librust-bat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-colours-1+default-dev,
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+default-dev,
 librust-clap-4+wrap-help-dev,
 librust-clircle-0.4+default-dev,
 librust-console-0.15+default-dev (>= 0.15.5-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-encoding-rs-0.8+default-dev,
 librust-etcetera-0.8+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-0.18-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.9-~~),
 librust-nu-ansi-term-0+default-dev,
 librust-once-cell-1+default-dev (>= 1.18-~~),
 librust-os-str-bytes-6+default-dev (>= 6.4-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.8.3-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0+default-dev (>= 0.8.26-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-fancy-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.10-~~),
 librust-walkdir-2+default-dev (>= 2.3-~~),
 librust-wild-2+default-dev (>= 2.1-~~)
Provides:
 librust-bat+application-dev (= ${binary:Version}),
 librust-bat+build-assets-dev (= ${binary:Version}),
 librust-bat+clap-dev (= ${binary:Version}),
 librust-bat+default-dev (= ${binary:Version}),
 librust-bat+etcetera-dev (= ${binary:Version}),
 librust-bat+git-dev (= ${binary:Version}),
 librust-bat+git2-dev (= ${binary:Version}),
 librust-bat+grep-cli-dev (= ${binary:Version}),
 librust-bat+minimal-application-dev (= ${binary:Version}),
 librust-bat+os-str-bytes-dev (= ${binary:Version}),
 librust-bat+paging-dev (= ${binary:Version}),
 librust-bat+regex-dev (= ${binary:Version}),
 librust-bat+regex-fancy-dev (= ${binary:Version}),
 librust-bat+regex-onig-dev (= ${binary:Version}),
 librust-bat+shell-words-dev (= ${binary:Version}),
 librust-bat+walkdir-dev (= ${binary:Version}),
 librust-bat+wild-dev (= ${binary:Version}),
 librust-bat-0-dev (= ${binary:Version}),
 librust-bat-0+application-dev (= ${binary:Version}),
 librust-bat-0+build-assets-dev (= ${binary:Version}),
 librust-bat-0+clap-dev (= ${binary:Version}),
 librust-bat-0+default-dev (= ${binary:Version}),
 librust-bat-0+etcetera-dev (= ${binary:Version}),
 librust-bat-0+git-dev (= ${binary:Version}),
 librust-bat-0+git2-dev (= ${binary:Version}),
 librust-bat-0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0+os-str-bytes-dev (= ${binary:Version}),
 librust-bat-0+paging-dev (= ${binary:Version}),
 librust-bat-0+regex-dev (= ${binary:Version}),
 librust-bat-0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0+shell-words-dev (= ${binary:Version}),
 librust-bat-0+walkdir-dev (= ${binary:Version}),
 librust-bat-0+wild-dev (= ${binary:Version}),
 librust-bat-0.24-dev (= ${binary:Version}),
 librust-bat-0.24+application-dev (= ${binary:Version}),
 librust-bat-0.24+build-assets-dev (= ${binary:Version}),
 librust-bat-0.24+clap-dev (= ${binary:Version}),
 librust-bat-0.24+default-dev (= ${binary:Version}),
 librust-bat-0.24+etcetera-dev (= ${binary:Version}),
 librust-bat-0.24+git-dev (= ${binary:Version}),
 librust-bat-0.24+git2-dev (= ${binary:Version}),
 librust-bat-0.24+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.24+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.24+os-str-bytes-dev (= ${binary:Version}),
 librust-bat-0.24+paging-dev (= ${binary:Version}),
 librust-bat-0.24+regex-dev (= ${binary:Version}),
 librust-bat-0.24+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.24+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.24+shell-words-dev (= ${binary:Version}),
 librust-bat-0.24+walkdir-dev (= ${binary:Version}),
 librust-bat-0.24+wild-dev (= ${binary:Version}),
 librust-bat-0.24.0-dev (= ${binary:Version}),
 librust-bat-0.24.0+application-dev (= ${binary:Version}),
 librust-bat-0.24.0+build-assets-dev (= ${binary:Version}),
 librust-bat-0.24.0+clap-dev (= ${binary:Version}),
 librust-bat-0.24.0+default-dev (= ${binary:Version}),
 librust-bat-0.24.0+etcetera-dev (= ${binary:Version}),
 librust-bat-0.24.0+git-dev (= ${binary:Version}),
 librust-bat-0.24.0+git2-dev (= ${binary:Version}),
 librust-bat-0.24.0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.24.0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.24.0+os-str-bytes-dev (= ${binary:Version}),
 librust-bat-0.24.0+paging-dev (= ${binary:Version}),
 librust-bat-0.24.0+regex-dev (= ${binary:Version}),
 librust-bat-0.24.0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.24.0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.24.0+shell-words-dev (= ${binary:Version}),
 librust-bat-0.24.0+walkdir-dev (= ${binary:Version}),
 librust-bat-0.24.0+wild-dev (= ${binary:Version})
Description: Cat(1) clone with wings - Rust source code
 Source code for Debianized Rust crate "bat"

Package: bat
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Make sure the man page and shell completion uses the correct binary name
+export PROJECT_EXECUTABLE = batcat
 
 %:
 	dh $@ --buildsystem cargo
@@ -9,6 +12,10 @@
 	dh_auto_install
 	mv debian/bat/usr/bin/bat debian/bat/usr/bin/batcat
 
+override_dh_install: export TARGETDIR=$(wildcard target/*/release/build/bat-*/out)
+override_dh_install:
+	dh_install
+
 override_dh_installman:
 	cp target/*/release/build/bat-*/out/assets/manual/bat.1 doc/
 	dh_installman

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets
Features: test-name=librust-bat-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --no-default-features --features etcetera
Features: test-name=librust-bat-dev:etcetera
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.10-~~), librust-nix-0+term-dev (>= 0.24.2-~~), librust-predicates-3+default-dev (>= 3.0.3-~~), librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.24.0 --all-targets --no-default-features --features git

## rust-bat 0.25.0

=== debian/changelog ===
rust-bat (0.25.0-4) unstable; urgency=medium

  * Team upload.
  * Package bat 0.25.0 from crates.io using debcargo 2.7.10

 -- Antonin Delpeuch <antonin@delpeuch.eu>  Sun, 05 Oct 2025 12:40:43 +0530

rust-bat (0.25.0-3) unstable; urgency=medium

  * Team upload.
  * Package bat 0.25.0 from crates.io using debcargo 2.7.8
  * Regenerate packaging with debcargo that no longer generates
    Mult-arch: allowed annotations.


 -- Peter Michael Green <plugwash@debian.org>  Tue, 06 May 2025 15:29:47 +0000

rust-bat (0.25.0-2) unstable; urgency=medium

  * Team upload
  * Package bat 0.25.0 from crates.io using debcargo 2.7.8
  * Restore relax-git2.diff

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 16:38:48 -0400

rust-bat (0.25.0-1) unstable; urgency=medium

  * Team upload.
  * Package bat 0.25.0 from crates.io using debcargo 2.7.8
  * Use dh-shell-completions, drop residue of old completion work
  * Drop a bunch of outdated patches
  * Temporarily disable automatic color scheme detection, due to unavailablity
  of dependency terminal-colorsaurus

 -- Blair Noctis <ncts@debian.org>  Tue, 25 Mar 2025 16:43:07 +0000

rust-bat (0.24.0-4) unstable; urgency=medium

  * Team upload.
  * Package bat 0.24.0 from crates.io using debcargo 2.7.8
  * relax git2 to allow libgit2 1.8 and 1.9

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Mar 2025 06:58:29 +0100

rust-bat (0.24.0-3) unstable; urgency=medium

  * Team upload.
  * Package bat 0.24.0 from crates.io using debcargo 2.7.8

 -- Peter Michael Green <plugwash@debian.org>  Sat, 15 Mar 2025 19:29:54 +0000

rust-bat (0.24.0-2) unstable; urgency=medium

  * Team upload.
  * Package bat 0.24.0 from crates.io using debcargo 2.7.0
  * Bump git2 to 0.19

 -- Peter Michael Green <plugwash@debian.org>  Sun, 06 Oct 2024 14:09:30 +0000

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 dh-shell-completions
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.74),
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev (>= 1.2-~~),
 librust-anyhow-1+default-dev (>= 1.0.86-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev (>= 1.3.0-~~),
 librust-clap-4+cargo-dev (>= 4.4.12-~~),
 librust-clap-4+default-dev (>= 4.4.12-~~),
 librust-clap-4+wrap-help-dev (>= 4.4.12-~~),
 librust-clircle-0.6-dev (>= 0.6.1-~~),
 librust-console-0.15+default-dev (>= 0.15.10-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-encoding-rs-0.8+default-dev (>= 0.8.35-~~),
 librust-etcetera-0.10+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-dev (<< 0.21-~~),
 librust-git2-dev (>= 0.19-~~),
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.11-~~),
 librust-home-0.5+default-dev (>= 0.5.9-~~),
 librust-indexmap-2+default-dev (>= 2.3.0-~~),
 librust-indexmap-2+serde-dev (>= 2.3.0-~~),
 librust-itertools-0.13+default-dev,
 librust-nu-ansi-term-0.50+default-dev,
 librust-once-cell-1+default-dev (>= 1.20-~~),
 librust-path-abs-0.5-dev,
 librust-plist-1+default-dev (>= 1.7.0-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-with-3+macros-dev (>= 3.12.0-~~),
 librust-serde-yaml-0.9+default-dev (>= 0.9.28-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev (>= 5.2.0-~~),
 librust-syntect-5+plist-load-dev (>= 5.2.0-~~),
 librust-syntect-5+regex-onig-dev (>= 5.2.0-~~),
 librust-syntect-5+yaml-load-dev (>= 5.2.0-~~),
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev (>= 0.8.19-~~),
 librust-toml-0.8+preserve-order-dev (>= 0.8.19-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.13-~~),
 librust-walkdir-2+default-dev (>= 2.5-~~),
 librust-wild-2+default-dev (>= 2.2-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat
X-Cargo-Crate: bat
Rules-Requires-Root: no

Package: librust-bat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-colours-1+default-dev (>= 1.2-~~),
 librust-anyhow-1+default-dev (>= 1.0.86-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev (>= 1.3.0-~~),
 librust-clap-4+cargo-dev (>= 4.4.12-~~),
 librust-clap-4+default-dev (>= 4.4.12-~~),
 librust-clap-4+wrap-help-dev (>= 4.4.12-~~),
 librust-clircle-0.6-dev (>= 0.6.1-~~),
 librust-console-0.15+default-dev (>= 0.15.10-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-encoding-rs-0.8+default-dev (>= 0.8.35-~~),
 librust-etcetera-0.10+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-dev (<< 0.21-~~),
 librust-git2-dev (>= 0.19-~~),
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.11-~~),
 librust-home-0.5+default-dev (>= 0.5.9-~~),
 librust-indexmap-2+default-dev (>= 2.3.0-~~),
 librust-indexmap-2+serde-dev (>= 2.3.0-~~),
 librust-itertools-0.13+default-dev,
 librust-nu-ansi-term-0.50+default-dev,
 librust-once-cell-1+default-dev (>= 1.20-~~),
 librust-path-abs-0.5-dev,
 librust-plist-1+default-dev (>= 1.7.0-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-with-3+macros-dev (>= 3.12.0-~~),
 librust-serde-yaml-0.9+default-dev (>= 0.9.28-~~),
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev (>= 5.2.0-~~),
 librust-syntect-5+plist-load-dev (>= 5.2.0-~~),
 librust-syntect-5+regex-fancy-dev (>= 5.2.0-~~),
 librust-syntect-5+regex-onig-dev (>= 5.2.0-~~),
 librust-syntect-5+yaml-load-dev (>= 5.2.0-~~),
 librust-thiserror-1+default-dev,
 librust-toml-0.8+default-dev (>= 0.8.19-~~),
 librust-toml-0.8+preserve-order-dev (>= 0.8.19-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.13-~~),
 librust-walkdir-2+default-dev (>= 2.5-~~),
 librust-wild-2+default-dev (>= 2.2-~~)
Provides:
 librust-bat+application-dev (= ${binary:Version}),
 librust-bat+build-assets-dev (= ${binary:Version}),
 librust-bat+clap-dev (= ${binary:Version}),
 librust-bat+default-dev (= ${binary:Version}),
 librust-bat+etcetera-dev (= ${binary:Version}),
 librust-bat+git-dev (= ${binary:Version}),
 librust-bat+git2-dev (= ${binary:Version}),
 librust-bat+grep-cli-dev (= ${binary:Version}),
 librust-bat+lessopen-dev (= ${binary:Version}),
 librust-bat+minimal-application-dev (= ${binary:Version}),
 librust-bat+paging-dev (= ${binary:Version}),
 librust-bat+regex-dev (= ${binary:Version}),
 librust-bat+regex-fancy-dev (= ${binary:Version}),
 librust-bat+regex-onig-dev (= ${binary:Version}),
 librust-bat+shell-words-dev (= ${binary:Version}),
 librust-bat+walkdir-dev (= ${binary:Version}),
 librust-bat+wild-dev (= ${binary:Version}),
 librust-bat-0-dev (= ${binary:Version}),
 librust-bat-0+application-dev (= ${binary:Version}),
 librust-bat-0+build-assets-dev (= ${binary:Version}),
 librust-bat-0+clap-dev (= ${binary:Version}),
 librust-bat-0+default-dev (= ${binary:Version}),
 librust-bat-0+etcetera-dev (= ${binary:Version}),
 librust-bat-0+git-dev (= ${binary:Version}),
 librust-bat-0+git2-dev (= ${binary:Version}),
 librust-bat-0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0+lessopen-dev (= ${binary:Version}),
 librust-bat-0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0+paging-dev (= ${binary:Version}),
 librust-bat-0+regex-dev (= ${binary:Version}),
 librust-bat-0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0+shell-words-dev (= ${binary:Version}),
 librust-bat-0+walkdir-dev (= ${binary:Version}),
 librust-bat-0+wild-dev (= ${binary:Version}),
 librust-bat-0.25-dev (= ${binary:Version}),
 librust-bat-0.25+application-dev (= ${binary:Version}),
 librust-bat-0.25+build-assets-dev (= ${binary:Version}),
 librust-bat-0.25+clap-dev (= ${binary:Version}),
 librust-bat-0.25+default-dev (= ${binary:Version}),
 librust-bat-0.25+etcetera-dev (= ${binary:Version}),
 librust-bat-0.25+git-dev (= ${binary:Version}),
 librust-bat-0.25+git2-dev (= ${binary:Version}),
 librust-bat-0.25+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.25+lessopen-dev (= ${binary:Version}),
 librust-bat-0.25+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.25+paging-dev (= ${binary:Version}),
 librust-bat-0.25+regex-dev (= ${binary:Version}),
 librust-bat-0.25+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.25+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.25+shell-words-dev (= ${binary:Version}),
 librust-bat-0.25+walkdir-dev (= ${binary:Version}),
 librust-bat-0.25+wild-dev (= ${binary:Version}),
 librust-bat-0.25.0-dev (= ${binary:Version}),
 librust-bat-0.25.0+application-dev (= ${binary:Version}),
 librust-bat-0.25.0+build-assets-dev (= ${binary:Version}),
 librust-bat-0.25.0+clap-dev (= ${binary:Version}),
 librust-bat-0.25.0+default-dev (= ${binary:Version}),
 librust-bat-0.25.0+etcetera-dev (= ${binary:Version}),
 librust-bat-0.25.0+git-dev (= ${binary:Version}),
 librust-bat-0.25.0+git2-dev (= ${binary:Version}),
 librust-bat-0.25.0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.25.0+lessopen-dev (= ${binary:Version}),
 librust-bat-0.25.0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.25.0+paging-dev (= ${binary:Version}),
 librust-bat-0.25.0+regex-dev (= ${binary:Version}),
 librust-bat-0.25.0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.25.0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.25.0+shell-words-dev (= ${binary:Version}),
 librust-bat-0.25.0+walkdir-dev (= ${binary:Version}),
 librust-bat-0.25.0+wild-dev (= ${binary:Version})
Description: Cat(1) clone with wings - Rust source code
 Source code for Debianized Rust crate "bat"

Package: bat
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PROJECT_EXECUTABLE = batcat
 
 %:
-	dh $@ --buildsystem cargo
+	dh $@ --buildsystem cargo --with shell_completions
 
 override_dh_auto_install:
 	# Once #946616 is fixed run `dh_auto_install --destdir=debian/tmp/`
@@ -17,5 +17,5 @@
 	dh_install
 
 override_dh_installman:
-	cp target/*/release/build/bat-*/out/assets/manual/bat.1 doc/
+	cp target/*/release/build/bat-*/out/assets/manual/bat.1 doc/batcat.1
 	dh_installman

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.25.0 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 31), rustc (>= 1.74), librust-assert-cmd-2+default-dev (>= 2.0.12-~~), librust-expect-test-1+default-dev (>= 1.5.0-~~), librust-nix-0.29+term-dev, librust-predicates-3+default-dev (>= 3.1-~~), librust-serde-1+default-dev, librust-serde-1+derive-dev, librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.1-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.25.0 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 31), rustc (>= 1.74), librust-assert-cmd-2+default-dev (>= 2.0.12-~~), librust-expect-test-1+default-dev (>= 1.5.0-~~), librust-nix-0.29+term-dev, librust-predicates-3+default-dev (>= 3.1-~~), librust-serde-1+default-dev, librust-serde-1+derive-dev, librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.1-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.25.0 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 31), rustc (>= 1.74), librust-assert-cmd-2+default-dev (>= 2.0.12-~~), librust-expect-test-1+default-dev (>= 1.5.0-~~), librust-nix-0.29+term-dev, librust-predicates-3+default-dev (>= 3.1-~~), librust-serde-1+default-dev, librust-serde-1+derive-dev, librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.1-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.25.0 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 31), rustc (>= 1.74), librust-assert-cmd-2+default-dev (>= 2.0.12-~~), librust-expect-test-1+default-dev (>= 1.5.0-~~), librust-nix-0.29+term-dev, librust-predicates-3+default-dev (>= 3.1-~~), librust-serde-1+default-dev, librust-serde-1+derive-dev, librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.1-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.25.0 --all-targets
Features: test-name=librust-bat-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.74), librust-assert-cmd-2+default-dev (>= 2.0.12-~~), librust-expect-test-1+default-dev (>= 1.5.0-~~), librust-nix-0.29+term-dev, librust-predicates-3+default-dev (>= 3.1-~~), librust-serde-1+default-dev, librust-serde-1+derive-dev, librust-serial-test-2-dev, librust-tempfile-3+default-dev (>= 3.8.1-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/bat-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/bat .*/crates/bat/@ANY_VERSION@/download
